## org.apache.lucene.index
Class ConcurrentMergeScheduler.MergeThread

    java.lang.Object
      java.lang.Thread
          org.apache.lucene.index.ConcurrentMergeScheduler.MergeThread

All Implemented Interfaces:
  Runnable

Enclosing class:
  ConcurrentMergeScheduler

    protected class ConcurrentMergeScheduler.MergeThread

extends Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ConcurrentMergeScheduler.MergeThread(IndexWriter writer, MergePolicy.OneMerge startMerge)`

Method Summary
`MergePolicy.OneMerge` `getCurrentMerge()`
`MergePolicy.OneMerge` `getRunningMerge()`
`void` `run()`
`void` `setRunningMerge(MergePolicy.OneMerge merge)`
`void` `setThreadPriority(int pri)`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConcurrentMergeScheduler.MergeThread

    public ConcurrentMergeScheduler.MergeThread(IndexWriter writer,
                                                MergePolicy.OneMerge startMerge)
                                         throws IOException

Throws:
  `IOException`

Method Detail

### setRunningMerge

    public void setRunningMerge(MergePolicy.OneMerge merge)

### getRunningMerge

    public MergePolicy.OneMerge getRunningMerge()

### getCurrentMerge

    public MergePolicy.OneMerge getCurrentMerge()

### setThreadPriority

    public void setThreadPriority(int pri)

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`